// задать пин, к которому подсоединен светодиод
#ifdef LED_BUILTIN              // для плат Elbear/Start можно использовать встроенный светодиод
uint8_t ledPin = LED_BUILTIN;
#elif defined(ARDUINO_ELSOMIK)  // для плат Elsomik нужно задать вывод
uint8_t ledPin = P0_0;  
#else
uint8_t ledPin = 2;
#endif
// задать пин, к которому подключается средний вывод потенциометра
#if defined(ARDUINO_ELSOMIK) || defined(ARDUINO_START_MIK32_V1)
// для плат Elsomik и Start задать пин в формате порт_вывод. Пин должен поддерживать АЦП измерения
const int sensorPin = P1_5;  
#else
// для плат Elbear задать номер аналогового вывода
const int sensorPin = A0;  
#endif
   
int sensorValue = 0;            // Переменная для хранения значения потенциометра

// функция настройки запускается один раз при нажатии кнопки reset или подаче питания на плату
void setup() {
  // Установим пин светодиода как выход
  pinMode(ledPin, OUTPUT);
}

// функция цикла выполняется снова и снова бесконечно
void loop() {
  sensorValue = analogRead(sensorPin);  // считываем значение с потенциометра
  digitalWrite(ledPin, HIGH);           // Включить светодиод
  delay(sensorValue);                   // Задержка на sensorValue мс
  digitalWrite(ledPin, LOW);            // Выключить светодиод
  delay(sensorValue);                   // Задержка на sensorValue мс
}
